<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [hireEmployee](./bitburner.officeapi.hireemployee.md)

## OfficeAPI.hireEmployee() method

Hire an employee.

**Signature:**

```typescript
hireEmployee(divisionName: string, city: CityName, employeePosition?: CorpEmployeePosition): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

employeePosition


</td><td>

[CorpEmployeePosition](./bitburner.corpemployeeposition.md)


</td><td>

_(Optional)_ Position to place into. Defaults to "Unassigned".


</td></tr>
</tbody></table>

**Returns:**

boolean

True if an employee was hired, false otherwise

## Remarks

RAM cost: 20 GB

